# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test_56
# FileName:      db.py
# Author:       xxxxxxx
# Datetime:     2023/8/7 15:26
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql
from InterfaceAutoTest.common.read_ini import ReadIni


class DB:
    def __init__(self):
        """链接数据库"""
        read_ini = ReadIni()
        self.conn = pymysql.connect(
            host=read_ini.get_sql_connect_message("host"),
            port=int(read_ini.get_sql_connect_message("port")),
            user=read_ini.get_sql_connect_message("user"),
            password=read_ini.get_sql_connect_message("pwd"),
            database=read_ini.get_sql_connect_message("database"),
            charset="utf8"
        )

        self.cursor = self.conn.cursor()

    def close(self):
        self.cursor.close()
        self.conn.close()

    def delete(self, sql_sentence):
        self.cursor.execute(sql_sentence)
        self.conn.commit()

    def select(self, sql_sentence):
        self.cursor.execute(sql_sentence)
        result = self.cursor.fetchall()
        if result:
            return result[0][0]